Package it.ernytech.tdlib

## Class TdApi.DeviceTokenSimplePush

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.DeviceToken
    - - it.ernytech.tdlib.TdApi.DeviceTokenSimplePush

Enclosing class:
  TdApi

    public static class TdApi.DeviceTokenSimplePush
    extends TdApi.DeviceToken

A token for Simple Push API for Firefox OS.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `endpoint` Absolute URL exposed by the push service where the application server can send push messages, may be empty to de-register a device.

### Constructor Summary

Constructors
`DeviceTokenSimplePush()` Default constructor.
`DeviceTokenSimplePush​(java.lang.String endpoint)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### endpoint

    public java.lang.String endpoint

Absolute URL exposed by the push service where the application server can send push messages, may be empty to de-register a device.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### DeviceTokenSimplePush

    public DeviceTokenSimplePush()

Default constructor.

#### DeviceTokenSimplePush

    public DeviceTokenSimplePush​(java.lang.String endpoint)

Constructor for initialization of all fields.

Parameters:
  `endpoint` - Absolute URL exposed by the push service where the application server can send push messages, may be empty to de-register a device.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR